package com.community.huiju.service;

import com.community.huiju.model.SysNation;

import java.util.List;

public interface CommonServiceI {
	
	/**
	 * 获取所有省份数据
	 * @return
	 */
	List<SysNation> getProvinceList();
	
	/**
	 * 根据省ID获取全部市区数据
	 * @param provinceId
	 * @return
	 */
	List<SysNation> getCityList(Integer provinceId);
	
	/**
	 * 根据市ID获取全部县数据
	 * @param cityId
	 * @return
	 */
	List<SysNation> getDistrictList(Integer cityId);
}
